;TWAIN protocol - not support jpeg

[CAP_UICONTROLLABLE]
Type=TWTY_BOOL
Default=TRUE
Current=TRUE
Allowed=TRUE
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TRUE

[CAP_DEVICEONLINE]
Type=TWTY_BOOL
Default=
Current=TRUE
Allowed=TRUE
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TRUE

[CAP_SUPPORTEDCAPS]
Type=TWTY_UINT16
Default=ICAP_XFERMECH
Current=ICAP_XFERMECH
Allowed=[CAP_FEEDERENABLED,CAP_AUTOFEED,ICAP_XFERMECH,ICAP_BRIGHTNESS]
Set=TWCC_BADPROTOCOL
Get=TWON_ARRAY
GetCurrent=TWON_ARRAY
GetDefault=TWON_ARRAY
Reset=TWCC_BADPROTOCOL  
PowerON=[CAP_FEEDERENABLED,CAP_AUTOFEED,ICAP_XFERMECH,ICAP_BRIGHTNESS]

[CAP_AUTOFEED]            ;Allow ADF automatic feed the next page or not
Type=TWTY_BOOL
Default=TRUE
Current=TRUE
Allowed=TRUE,FALSE
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=FALSE

[CAP_FEEDERENABLED]       ;ADF is plugin or not  
Type=TWTY_BOOL
Default=TRUE
Current=TRUE
Allowed=TRUE,FALSE
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TRUE,FALSE

[CAP_FEEDERLOADED]        ;Document on ADF or not  
Type=TWTY_BOOL
Default=FALSE
Current=FALSE
Allowed=FALSE
Set=TWCC_BADPROTOCOL
Get=TWCC_BADPROTOCOL
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TRUE,FALSE

[CAP_XFERCOUNT]
Type=TWTY_INT16
Default=1
Current=1
Allowed=-1_to_1000,1
Set=TWON_ONEVALUE
Get=TWON_RANGE,TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=-1_to_1000,1

[ICAP_BRIGHTNESS]
Type=TWTY_FIX32
Default=0
Current=0
Allowed=-1000_to_1000,1
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_ONEVALUE,TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=-1000_to_1000,1

[ICAP_COMPRESSION]
Type=TWTY_UINT16
Default=TWCP_NONE
Current=TWCP_NONE
Allowed=TWCP_NONE,TWCP_JPEG
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ONEVALUE,TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ENUMERATION
PowerON=TWCP_NONE

[ICAP_CONTRAST]
Type=TWTY_FIX32
Default=0
Current=0
Allowed=-1000_to_1000,1
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_ONEVALUE,TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=-1000_to_1000,1

[ICAP_HIGHLIGHT]
Type=TWTY_UINT16
Default=255
Current=255
Allowed=0_to_255,1
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=0_to_255,1

[ICAP_IMAGEFILEFORMAT]
Type=TWTY_UINT16
Default=TWFF_BMP
Current=TWFF_BMP
Allowed=TWFF_BMP
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ONEVALUE,TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ENUMERATION
PowerON=TWFF_BMP

[ICAP_JPEGPIXELTYPE]
Type=TWTY_UINT16
Default=
Current=
Allowed=TWPT_RGB,TWPT_GRAY
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ONEVALUE,TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ENUMERATION
PowerON=TWPT_RGB

[ICAP_JPEGQFACTOR]
Type=TWTY_UINT16
Default=7
Current=7
Allowed=0_to_10,7
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=0_to_10,7

[ICAP_PHYSICALHEIGHT]
Type=TWTY_FIX32
Default=11.69
Current=11.69
Allowed=
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWCC_BADPROTOCOL
PowerON=11.69

[ICAP_PHYSICALWIDTH]
Type=TWTY_FIX32
Default=8.5
Current=8.5
Allowed=
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWCC_BADPROTOCOL
PowerON=8.5

[ICAP_SHADOW]
Type=TWTY_UINT16
Default=0
Current=f
Allowed=0_to_255,1
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=0_to_255,1

[ICAP_TILES]
Type=TWTY_BOOL
Default=FALSE
Current=TRUE
Allowed=TRUE,FALSE
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TRUE,FALSE

[ICAP_UNITS]
Type=TWTY_UINT16
Default=TWUN_INCHES
Current=TWUN_INCHES
Allowed=TWUN_INCHES,TWUN_CENTIMETERS,TWUN_PICAS,TWUN_POINTS,TWUN_PIXELS
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ENUMERATION
PowerON=TWUN_INCHES,TWUN_CENTIMETERS,TWUN_PICAS,TWUN_POINTS,TWUN_PIXELS

[ICAP_XFERMECH]
Type=TWTY_UINT16
Default=TWSX_MEMORY
Current=TWSX_MEMORY
Allowed=TWSX_NATIVE,TWSX_FILE,TWSX_MEMORY
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ENUMERATION
PowerON=TWSX_NATIVE,TWSX_FILE,TWSX_MEMORY

[ICAP_XNATIVERESOLUTION]
Type=TWTY_UINT16
Default=300
Current=300
Allowed=
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWCC_BADPROTOCOL
PowerON=

[ICAP_YNATIVERESOLUTION]
Type=TWTY_UINT16
Default=300
Current=300
Allowed=
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWCC_BADPROTOCOL
PowerON=

[ICAP_XRESOLUTION]
Type=TWTY_FIX32
Default=300.0
Current=300.0
Allowed=75_to_19200,1
Set=TWON_ONEVALUE,TWON_ENUMERATION,TWON_RANGE
Get=TWON_ONEVALUE,TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=75_to_19200

[ICAP_YRESOLUTION]
Type=TWTY_FIX32
Default=300.0
Current=300.0
Allowed=75_to_19200,1
Set=TWON_ONEVALUE,TWON_ENUMERATION,TWON_RANGE
Get=TWON_ONEVALUE,TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=75_to_19200

[ICAP_XSCALING]
Type=TWTY_UINT16
Default=1
Current=1
Allowed=0_to_4,1
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=0_to_4,1

[ICAP_YSCALING]
Type=TWTY_UINT16
Default=1
Current=1
Allowed=0_to_4,1
Set=TWON_ONEVALUE,TWON_RANGE
Get=TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_RANGE
PowerON=0_to_4,1

[ICAP_PLANARCHUNKY]
Type=TWTY_UINT16
Default=
Current=TWPC_CHUNKY
Allowed=TWPC_CHUNKY,TWPC_PLANAR
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TWPC_CHUNKY,TWPC_PLANAR

[ICAP_BITDEPTH]
Type=TWTY_UINT16
Default=1
Current=8
Allowed=8,0,16
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ONEVALUE,TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=1
PowerON=1

[ICAP_PIXELFLAVOR]
Type=TWTY_UINT16
Default=TWPF_CHOCOLATE
Current=TWPF_CHOCOLATE
Allowed=TWPF_CHOCOLATE,TWPF_VANILLA
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TWPF_CHOCOLATE,TWPF_VANILLA

[ICAP_AUTOBRIGHT]
Type=TWTY_BOOL
Default=FALSE
Current=FALSE
Allowed=TRUE,FALSE
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=FALSE

[ICAP_PIXELTYPE]
Type=TWTY_UINT16
Default=TWPT_BW
Current=TWPT_BW
Allowed=TWPT_BW,TWPT_GRAY,TWPT_RGB
Set=TWON_ONEVALUE,TWON_ENUMERATION
Get=TWON_ONEVALUE,TWON_ENUMERATION
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ENUMERATION
PowerON=TWPT_BW,TWPT_GRAY,TWPT_RGB

[ICAP_GAMMA]
Type=TWTY_FIX32
Default=2.2
Current=f
Allowed=0.01_to_5.00,1
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=1.0

[ICAP_THRESHOLD]
Type=TW_FIX32
Default=128.0
Current=128.0
Allowed=0_to_255,1
Set=TWCC_BADPROTOCOL
Get=TWON_ONEVALUE,TWON_RANGE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=128.0

[ICAP_BITORDER]
Type=TW_UINT16
Default=TWBO_MSBFIRST
Current=TWBO_MSBFIRST
Allowed=TWBO_LSBFIRST,TWBO_MSBFIRST
Set=TWON_ONEVALUE
Get=TWON_ONEVALUE
GetCurrent=TWON_ONEVALUE
GetDefault=TWON_ONEVALUE
Reset=TWON_ONEVALUE
PowerON=TWBO_MSBFIRST
